//+------------------------------------------------------------------+
//|                                             x MY High Low v1.mq4 |
//+------------------------------------------------------------------+
#property copyright "cja for tsd"

#property indicator_chart_window
extern string  note1          ="Auto HiLo = 0 or input price";
extern double  High_Price     = 0;
extern double  Low_Price      = 0;
extern string  note2          ="15 = M15 - 60 = H1 - 1440 = Daily";
extern int     HiLo_TimeFrame = 1440;
extern string  note3          ="1 = previous bar - 2 = 2 bars back";
extern int     BarsBack       = 1;
extern string  note4          ="Line style width & colors";
extern int     Line_style     = 2;
extern int     Line_width     = 0;
extern color   Hi_color       = Blue;
extern color   Lo_color       = Red;


double Hi_Price,Lo_Price;
double magic;

int init()
{
      magic = HiLo_TimeFrame+High_Price+Low_Price;
      
   return(0);
  }
 
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
  
      ObjectDelete("MY_High"+magic);
      ObjectDelete("MY_Low"+magic);
 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   
//----
      if(High_Price==0){Hi_Price=iHigh(NULL,HiLo_TimeFrame,BarsBack);}else{Hi_Price=High_Price;}

      ObjectCreate("MY_High"+magic, OBJ_HLINE,0, Time[0], Hi_Price);
      ObjectSet("MY_High"+magic, OBJPROP_COLOR, Hi_color);
      ObjectSet("MY_High"+magic, OBJPROP_STYLE, Line_style);
      ObjectSet("MY_High"+magic, OBJPROP_WIDTH, Line_width);      
      
      if(Low_Price==0){Lo_Price=iLow(NULL,HiLo_TimeFrame,BarsBack);}else{Lo_Price=Low_Price;}
      
      ObjectCreate("MY_Low"+magic, OBJ_HLINE,0, Time[0], Lo_Price);
      ObjectSet("MY_Low"+magic, OBJPROP_COLOR, Lo_color);
      ObjectSet("MY_Low"+magic, OBJPROP_STYLE, Line_style);
      ObjectSet("MY_Low"+magic, OBJPROP_WIDTH, Line_width); 
//----
   return(0);
  }
//+------------------------------------------------------------------+